#Q4

#Q4-1a
sample(1:1000,20,replace=F)

#Q4-1b
data.frame(x=(sample(1:100,10,replace=T)),y=(sample(1:100,10,replace=T)))
#OR
data.frame(x=(runif(10,0,100)),y=(runif(10,0,100)))

#Q4-2a
TREATMENT <- gl(3,10,30,lab=c('Nitrogen', 'Phosphorus', 'Control'))

#Q4-2b
TREATMENT <- sample(TREATMENT)

#Q4-2c
TREATMENT <- matrix(TREATMENT, 6,5)

#Q4-3a
TREATMENTS <- rep(c('Nitrogen','Phosphorus','Control'),2)
#Q4-3b
TREATMENT.BLOCK <- replicate(5,sample(TREATMENTS))
#Q4-3c
TREATMENT.BLOCK

#Q4-4a
lat <- c(145.45,145.456,145.459,145.457,145.451,145.45)
long <- c(37.525,37.526,37.528,37.529,37.53,37.525)

#Q4-4b
site <- cbind(lat,long)

#Q4-4c
plot(site,type='l',asp=1) #plot, type='l' says to plot with lines, asp=1 makes the axis have the same scale

#Q4-4d
library(sp)

#Q4-4e
site.poly <- Polygon(site)

#Q4-4f
site.points <- spsample(site.poly, n=10, type='random')
# note that the above statement asks for 10 random coordinates,
#but it will only ever deliver approximately that many coordinates.
#Besides, not all random coordinates generated will necessarily
#be appropriate in the field - one might be in the middle of a lake
#that is in the middle of the site.  You can just ignore extra points
site.points
points(site.points[1:5], pch=16)

#Q4-5a
directions <- sample(c('Left','Right'), 30, replace=T)

#Q4-5b
distances <- round(runif(30,0,5),2)

#Q4-5c
quadrats <- cbind(directions,distances)
quadrats
