#Q2
wisc <- read.table("wisc.csv", header=T, sep=",")

#Q2-2
wisc.pca <- princomp(~BUROAK+BLACKOAK+WHITEOAK+REDOAK+ELM+BASSWOOD+IRONWOOD+MAPLE, cor=T,data=wisc)
#also consider prcomp

#Q2-2a
#latent roots (Eigenvalues)
wisc.pca$sd^2
#total variance explained
(wisc.pca$sd^2)/8

#Q2-2b
screeplot(wisc.pca,type="l")

#Q2-2c
#PCA scores
plot(wisc.pca$scores,type="n")
text(wisc.pca$scores,lab=wisc$QUADRAT,font=2)

#Q2-2d
wisc.pca$loadings
#component loading plot
biplot(wisc.pca)
#text(wisc.pca$loadings,lab=names(wisc[,2:9]),font=2)
