#Q7
macnally <- read.table('macnally.csv', header=T, sep=',')

#Q7-1
macnally.dist <- vegdist(macnally[,3:104])

#Q7-2
macnally.mds <- isoMDS(macnally.dist,k=2)
macnally.mds

#Q7-2c
plot(Shepard(macnally.dist, macnally.mds$points))

#Q7-2d
plot(macnally.mds$points)
plot(macnally.mds$points,type="n")
text(macnally.mds$points,lab=macnally$HABITAT,col="gray")
points(macnally.mds$points,pch=16,col=as.numeric(macnally$HABITAT))
ordispantree(macnally.mds,spantree(macnally.dist))

ordihull(ordiplot(macnally.mds),macnally$HABITAT)
text(macnally.mds$points,lab=macnally$HABITAT,col="gray")
