#Q4
nagy <- read.table("../../Data/nagy.csv", header=T, sep=",")

#Q4-1
library(car)
scatterplot(FMR~Mass, data=nagy)
scatterplot(FMR~Mass, data=nagy,log="xy")

#OLS vs RMA
#Q4-2 


#just the mammals
summary(nagy.lm<-lm(log10(FMR)~log10(Mass), nagy,subset=nagy$Class=="Mammal"))
library(biology)
summary(nagy.lm2<-lm.II(log10(FMR)~log10(Mass), nagy[nagy$Class=="Mammal",], type="RMA"))

plot(FMR~Mass, data=nagy[nagy$Class=="Mammal",],log="xy")
#OR
plot(log10(FMR)~log10(Mass), data=nagy[nagy$Class=="Mammal",])
abline(nagy.lm)
abline(nagy.lm2)

#just the reptiles
summary(nagy.lm<-lm(log10(FMR)~log10(Mass), nagy,subset=nagy$Class=="Reptiles"))
library(biology)
summary(nagy.lm2<-lm.II(log10(FMR)~log10(Mass), nagy[nagy$Class=="Reptiles",], type="RMA"))
plot(FMR~Mass, data=nagy[nagy$Class=="Reptiles",],log="xy")
#OR
plot(log10(FMR)~log10(Mass), data=nagy[nagy$Class=="Reptiles",])
abline(nagy.lm)
abline(nagy.lm2)

#just the aves
summary(nagy.lm<-lm(log10(FMR)~log10(Mass), nagy,subset=nagy$Class=="Aves"))
library(biology)
summary(nagy.lm2<-lm.II(log10(FMR)~log10(Mass), nagy[nagy$Class=="Aves",], type="RMA"))
plot(FMR~Mass, data=nagy[nagy$Class=="Aves",],log="xy")
#OR
plot(log10(FMR)~log10(Mass), data=nagy[nagy$Class=="Aves",])
abline(nagy.lm)
abline(nagy.lm2)

summary(nagy.lm<-lm(log10(FMR)~log10(Mass), nagy))
library(biology)
summary(nagy.lm2<-lm.II(log10(FMR)~log10(Mass), nagy, type="RMA"))

plot(FMR~Mass, data=nagy,log="xy")
#OR
plot(log10(FMR)~log10(Mass), data=nagy)
abline(nagy.lm)
abline(nagy.lm2,col="red")

