#Q1
paruelo <- read.table('../../Data/paruelo.csv', header=T, sep=',')

#Q1-2
library(car)
scatterplot.matrix(~C3+LAT+LONG+MAP+MAT+JJAMAP+DJFMAP, data=paruelo, diagonal='boxplot')

#Q1-2b
scatterplot.matrix(~sqrt(C3)+LAT+LONG+MAP+MAT+JJAMAP+log10(DJFMAP), data=paruelo, diagonal='boxplot')

#Q1-2d
cor(paruelo)

#Q1-3
paruelo.lm<-lm(sqrt(C3) ~ LAT+LONG+MAP+MAT+JJAMAP+log10(DJFMAP), data=paruelo)
library(car)
vif(lm(sqrt(C3) ~ LAT+LONG+MAP+MAT+JJAMAP+log10(DJFMAP), data=paruelo))

1/vif(lm(sqrt(C3) ~ LAT+LONG+MAP+MAT+JJAMAP+log10(DJFMAP), data=paruelo))

#Q1-4
vif(lm(sqrt(C3) ~ LAT*LONG, data=paruelo))
1/vif(lm(sqrt(C3) ~ LAT*LONG, data=paruelo))

paruelo$cLAT <- scale(paruelo$LAT, scale=F)
paruelo$cLONG <- scale(paruelo$LONG, scale=F)
vif(lm(sqrt(C3) ~ cLAT*cLONG, data=paruelo))
1/vif(lm(sqrt(C3) ~ cLAT*cLONG, data=paruelo))

#Q1-5
paruelo.lm <- lm(sqrt(C3) ~ cLAT*cLONG, data=paruelo)
plot(paruelo.lm)
summary(paruelo.lm)

#Q1-6
av.plots(paruelo.lm,ask=F,identify.points=F)

#Q1-7a
l1 <-mean(paruelo$cLONG)-2*sd(paruelo$cLONG)
l2 <-mean(paruelo$cLONG)-sd(paruelo$cLONG)
l3 <-mean(paruelo$cLONG)
l4 <-mean(paruelo$cLONG)-sd(paruelo$cLONG)
l5 <-mean(paruelo$cLONG)+2*sd(paruelo$cLONG)
summary(paruelo.lm1<-lm(sqrt(C3)~cLAT*c(cLONG-l1), data=paruelo))
summary(paruelo.lm2<-lm(sqrt(C3)~cLAT*c(cLONG-l2), data=paruelo))
summary(paruelo.lm3<-lm(sqrt(C3)~cLAT*c(cLONG-l3), data=paruelo))
summary(paruelo.lm4<-lm(sqrt(C3)~cLAT*c(cLONG-l4), data=paruelo))
summary(paruelo.lm5<-lm(sqrt(C3)~cLAT*c(cLONG-l5), data=paruelo))

av.plots(paruelo.lm1,ask=F,identify.points=F)
av.plots(paruelo.lm2,ask=F,identify.points=F)
av.plots(paruelo.lm3,ask=F,identify.points=F)
av.plots(paruelo.lm4,ask=F,identify.points=F)
av.plots(paruelo.lm5,ask=F,identify.points=F)

l2 <-mean(paruelo$cLAT)
l1 <-mean(paruelo$cLAT)-sd(paruelo$cLAT)
l3 <-mean(paruelo$cLAT)+sd(paruelo$cLAT)
summary(paruelo.lm1<-lm(sqrt(C3)~cLONG*c(cLAT-l1), data=paruelo))
summary(paruelo.lm2<-lm(sqrt(C3)~cLONG*c(cLAT-l2), data=paruelo))
summary(paruelo.lm3<-lm(sqrt(C3)~cLONG*c(cLAT-l3), data=paruelo))
av.plots(paruelo.lm1,ask=F,identify.points=F)
av.plots(paruelo.lm2,ask=F,identify.points=F)
av.plots(paruelo.lm3,ask=F,identify.points=F)

l2 <-mean(paruelo$LAT)
l1 <-mean(paruelo$LAT)-sd(paruelo$LAT)
l3 <-mean(paruelo$LAT)+sd(paruelo$LAT)
summary(paruelo.lm1<-lm(sqrt(C3)~LONG*c(LAT-l1), data=paruelo))
summary(paruelo.lm2<-lm(sqrt(C3)~LONG*c(LAT-l2), data=paruelo))
summary(paruelo.lm3<-lm(sqrt(C3)~LONG*c(LAT-l3), data=paruelo))
av.plots(paruelo.lm1,ask=F,identify.points=F)
av.plots(paruelo.lm2,ask=F,identify.points=F)
av.plots(paruelo.lm3,ask=F,identify.points=F)

