#Q2
loyn <- read.table('../../Data/loyn.csv', header=T, sep=',')

#Q2-2
library(car)
scatterplot.matrix(~ABUND+DIST+LDIST+AREA+GRAZE+ALT+YR.ISOL, data=loyn, diagonal='boxplot')

#Q2-2b
scatterplot.matrix(~ABUND+log10(DIST)+log10(LDIST)+log10(AREA)+GRAZE+ALT+YR.ISOL, data=loyn, diagonal='boxplot')
#loyn$logDIST <- log10(loyn$DIST)
#loyn$logLDIST <- log10(loyn$LDIST)
#loyn$logAREA <- log10(loyn$AREA)

#Q2-2d
cor(loyn[,c(2:7)])
loyn.lm <- lm(ABUND~log10(DIST)+log10(LDIST)+log10(AREA)+GRAZE+ALT+YR.ISOL, data=loyn)
vif(loyn.lm)
1/vif(loyn.lm)

cor(loyn.lm$model[,2:7])

#Q2-3
loyn.lm <- lm(ABUND~log10(DIST)+log10(LDIST)+log10(AREA)+GRAZE+ALT+YR.ISOL, data=loyn)

#Q2-3a
plot(loyn.lm)

summary(loyn.lm)

#Q2-3b
library(car)
av.plots(loyn.lm,ask=F,identify.points=F)

#Q2-4
summary(loyn.lm)$"adj.r.squared"
extractAIC(loyn.lm)[2]
library(nlme)
BIC(loyn.lm)

#Q2-5
library(biology)
ms <-Model.selection(loyn.lm)
 ms[[1]][16,]
mm <- ms[[1]]
mm[mm[,2]==max(mm[,2]),]
mm[mm[,3]==max(mm[,3]),]

#based on AIC
mm[mm[,6]==min(mm[,6]),]
mm[mm[,7]==min(mm[,7]),]

loyn$clogAREA <- scale(log10(loyn$AREA),scale=F)
loyn$cGRAZE <- scale(loyn$GRAZE,scale=F)
loyn$cYR.ISOL <- scale(loyn$YR.ISOL,scale=F)
loyn.lm1 <- lm(ABUND~clogAREA*cGRAZE*cYR.ISOL, data=loyn)

#Q2-5a
summary(loyn.lm1)
extractAIC(loyn.lm)
BIC(loyn.lm)


#Q2-6
av.plots(loyn.lm1,ask=F,identify.points=F)

loyn2 <- data.frame(logAREA=log10(loyn$AREA),logDIST=log10(loyn$DIST),logLDIST=log10(loyn$LDIST),ALT=loyn$ALT,GRAZE=loyn$GRAZE,YEARS=loyn$YR.ISOL)
library(hier.part)
hier.part(loyn$ABUND,loyn2,gof="Rsqu")

#loyn$clAREA <- scale(log10(loyn$AREA), scale=F)
#loyn$cGRAZE <- scale(loyn$GRAZE, scale=F)

#l1 <-mean(log10(loyn$AREA))-sd(log10(loyn$AREA))
#l2 <- mean(log10(loyn$AREA))
#l3 <-mean(log10(loyn$AREA))+sd(log10(loyn$AREA))

#l1 <-mean(loyn$clAREA)-sd(loyn$clAREA)

#summary(lm(ABUND~-1+GRAZE*c(log10(AREA)-l1), data=loyn))
#summary(lm(ABUND~-1+cGRAZE*c(clAREA-l1), data=loyn))

summary(lm(ABUND~-1+GRAZE*c(log10(AREA)-l2), data=loyn))
summary(lm(ABUND~GRAZE*c(log10(AREA)-l3), data=loyn))


l1 <-mean(loyn$clogAREA)-sd(loyn$clogAREA)
l2 <- mean(loyn$clogAREA)
l3 <-mean(loyn$clogAREA)+sd(loyn$clogAREA)


summary(lm(ABUND~cGRAZE*c(clogAREA-l1)*c(cYR.ISOL-0), data=loyn))
summary(lm(ABUND~cGRAZE*c(clogAREA-l2)*c(cYR.ISOL-0), data=loyn))
summary(lm(ABUND~cGRAZE*c(clogAREA-l3)*c(cYR.ISOL-0), data=loyn))

#summary(lm(ABUND~-1+cGRAZE*c(clogAREA-l2)*c(cYR.ISOL-33.25), data=loyn))
#summary(lm(ABUND~-1+cGRAZE*c(clogAREA-l2), data=loyn))
#summary(lm(ABUND~cGRAZE*c(clogAREA-l2), data=loyn))




#Akaike weights
deltaAIC <- ms$AIC-min(ms$AIC)
aw <- round(exp(-deltaAIC/2)/sum(exp(-deltaAIC/2)),3)
