#Q4
rademaker <- read.table('../../Data/rademaker.csv', header=T, sep=',')

#Q4-1
library(car)
scatterplot(MLS~LATITUDE,data=rademaker)

rademaker.lm<-lm(MLS~LATITUDE,data=rademaker)
plot(rademaker.lm)

rademaker.lm<-lm(MLS~LATITUDE + I(LATITUDE^2),data=rademaker)
summary(rademaker.lm)

reduced.lm<-lm(MLS~LATITUDE,data=rademaker)

anova(rademaker.lm,reduced.lm)

#Q4-5
plot(MLS~LATITUDE, data=rademaker)

#Q4-5a
minx <- min(rademaker$LATITUDE)
maxx <- max(rademaker$LATITUDE)

lines(minx:maxx, predict(rademaker.lm, list(LATITUDE=minx:maxx)))

