#Q2
medley <- read.table("../../Data/medley.csv", header=T, sep=",",strip.white = TRUE)
medley$ZINC <- factor(medley$ZINC, levels=c("HIGH","MEDIUM","LOW", "BACK"))

#Q2-1
boxplot(DIVERSITY~ZINC,data=medley)
medley.aov <- aov(DIVERSITY~ZINC,data=medley)
plot(medley.aov)
anova(medley.aov)

#Q2-3
library(biology)
bar <- Mbargraph(medley$DIVERSITY, medley$ZINC)

#Q2-4
library(multcomp)
#summary(simtest(DIVERSITY~ZINC, data=medley, type="Tukey"))
summary(glht(medley.aov, linfct=mcp(ZINC="Tukey")))
Mbargraph(medley$DIVERSITY, medley$ZINC,symb=c('A','AB','B','AB'))
