#Q4
quinn <- read.table("../../Data/quinn.csv", header=T, sep=",")
#untransformed data
boxplot(RECRUITS~SEASON*DENSITY, quinn)
means <- tapply(quinn$RECRUITS, list(quinn$SEASON,quinn$DENSITY), mean)
vars <- tapply(quinn$RECRUITS, list(quinn$SEASON,quinn$DENSITY), var)
plot(means,vars)
#transformed data (sqrt)
boxplot(sqrt(RECRUITS)~SEASON*DENSITY, quinn)
means <- tapply(sqrt(quinn$RECRUITS), list(quinn$SEASON,quinn$DENSITY), mean)
vars <- tapply(sqrt(quinn$RECRUITS), list(quinn$SEASON,quinn$DENSITY), var)
plot(means,vars)

!is.list(replications(sqrt(RECRUITS)~SEASON*DENSITY,data=quinn))
library(biology)
is.balanced(sqrt(RECRUITS)~SEASON*DENSITY,data=quinn)


#Q4-1
quinn.aov <- aov(sqrt(RECRUITS)~SEASON*DENSITY,data=quinn)
plot(quinn.aov)
library(biology)
AnovaM(quinn.aov,type="II")

#OR
contrasts(quinn$SEASON)<-contr.helmert
contrasts(quinn$DENSITY) <- contr.helmert
quinn.aov <- aov(sqrt(RECRUITS)~SEASON*DENSITY,data=quinn)
library(biology)
AnovaM(quinn.aov,type="III")

#Q4-2
interaction.plot(quinn$SEASON, quinn$DENSITY, quinn$RECRUITS)

#Q4-3a
AnovaM(mainEffects(quinn.aov, at=SEASON=='Autumn'), type="III")
AnovaM(mainEffects(quinn.aov, at=SEASON=='Spring'), type="III")
AnovaM(mainEffects(quinn.aov, at=SEASON=='Summer'), type="III")
AnovaM(mainEffects(quinn.aov, at=SEASON=='Winter'), type="III")

library(biology) #for the AnovaM() function
#effect of density in Autumn
#quinn.aov1 <- aov(SQRTRECRUITS~DENSITY, data=quinn,subset=c(SEASON=='Autumn'))
#AnovaM(lm(quinn.aov1), lm(quinn.aov),type="II")
#effect of density in Autumn
#quinn.aov2 <- aov(SQRTRECRUITS~DENSITY, data=quinn,subset=c(SEASON=='Spring'))
#AnovaM(lm(quinn.aov2), lm(quinn.aov),type="II")
#effect of density in Summer
#quinn.aov3 <- aov(SQRTRECRUITS~DENSITY, data=quinn,subset=c(SEASON=='Summer'))
#AnovaM(lm(quinn.aov3), lm(quinn.aov),type="II")
#effect of density in Winter
#quinn.aov4 <- aov(SQRTRECRUITS~DENSITY, data=quinn,subset=c(SEASON=='Winter'))
#AnovaM(lm(quinn.aov4), lm(quinn.aov),type="II")


Mbargraph(quinn$RECRUITS, list(quinn$DENSITY, quinn$SEASON))
