#Q1
tobacco <- read.table("../../Data/tobacco.csv", header=T, sep=",")
tobacco$LEAF <- as.factor(tobacco$LEAF)

#Q1-2b
!is.list(replications(NUMBER~Error(LEAF)+TREATMENT, data=tobacco))
is.balanced(NUMBER~Error(LEAF)+TREATMENT, data=tobacco)

#Q1-3
interaction.plot(tobacco$LEAF, tobacco$TREATMENT, tobacco$NUMBER)

library(alr3)
residual.plots(lm(NUMBER~LEAF+TREATMENT, data=tobacco))
tukey.nonadd(lm(NUMBER~LEAF+TREATMENT, data=tobacco))
library(lattice)
barchart(NUMBER~TREATMENT|LEAF, tobacco)
bwplot(NUMBER~TREATMENT|LEAF, tobacco)


#Q1-4
tobacco.aov <- aov(NUMBER~Error(LEAF)+TREATMENT, data=tobacco)
summary(tobacco.aov)

library(biology)
bar <- Mbargraph(tobacco$NUMBER, tobacco$TREATMENT)

#lme
library(nlme)
tobacco.lme<-lme(NUMBER~TREATMENT, random=~1|LEAF, data=tobacco)
anova(tobacco.lme)

