x <- 1:10000
y <- x + replicate(10000,rnorm(1,0,2500))
plot(y~x)
l <- lm(y~x)
abline(l)
summary(l)
anova(l)
library(pwr)
pwr.r.test(n=10,r=cor.test(x,y)$est[[1]], a="two.sided")

ps <- NULL
for (i in 1:1000) {
a<-sample(1:10000, 10, replace=F)
ll <- summary(lm(y[a]~x[a]))
#plot(y[a]~x[a])
#abline(ll)
ps <- c(ps,ll$coef[8])
}
length(ps[ps<0.05])/length(ps)


#  GPOWER indicates that in general, the relationship between delta and effect size is:
#  delta = ES*sqrt(N)
#  what is the relationship between r and ES?