#Q3
peak <- read.table("../../Data/peakquinn.csv", header=T, sep=",")

#Q3-1
library(car)
scatterplot(INDIV~AREA, data=peak)
peak.lm <- lm(INDIV~AREA, data=peak)
plot(peak.lm)

#Q3-5
scatterplot(log10(INDIV)~log10(AREA), data=peak)
peak.lm <- lm(log10(INDIV)~log10(AREA), data=peak)
plot(peak.lm)
influence.measures(peak.lm)

peak.lm2 <- lm(log10(AREA)~log10(INDIV), data=peak)
slope <- mean(c(peak.lm$coef[2], 1/peak.lm2$coef[2]))
intercept <- mean(log10(peak$INDIV))-(slope*mean(log10(peak$AREA)))

summary(peak.lm)

plot(log10(INDIV)~log10(AREA), data=peak)
abline(intercept, slope, col="red")
abline(peak.lm)
library(biology)
summary(lm.II(log10(INDIV)~log10(AREA), peak, type="RMA"))

#Q3-9
#print(10^((slope*log10(8000))+intercept))
10^predict(peak.lm, list(AREA=8000))

#above with proper axes titles
par(mar=c(5,6,1,1))
plot(INDIV~AREA, data=peak,pch=16, las=1,xlab="", ylab="",axes=F)
axis(1,lwd=2)
mtext(expression(paste("Mussel clump area (",mm^scriptscriptstyle(2),")")),1,line=4,font=2,cex=1.5)
axis(2,las=1,lwd=2)
mtext(expression(paste("Number of individuals per clump")),2,line=4,font=2,cex=1.5)
#abline(lm(INDIV~AREA, data=peak))
box(bty="l",lwd=2)
