#Q4
snodgrass <- read.table("../../Data/snodgrass.csv", header=T, sep=",", strip.white=T)
snodgrass$HYDROPERIOD<-factor(snodgrass$HYDROPERIOD, levels=c('Short', 'Medium', 'Longnofish','Longfish'))

#Q4-1
means <- tapply(snodgrass$RICHNESS, snodgrass$HYDROPERIOD, mean)
vars <- tapply(snodgrass$RICHNESS, snodgrass$HYDROPERIOD, var)
plot(means,vars)
boxplot(RICHNESS~HYDROPERIOD,data=snodgrass)

#Q4-2
snodgrass.aov <- aov(RICHNESS~HYDROPERIOD,data=snodgrass)
plot(snodgrass.aov)

#Q4-4
contrasts(snodgrass$HYDROPERIOD) <- cbind(c(0,0,-1,1), c(1,1,-1,-1))
round(crossprod(contrasts(snodgrass$HYDROPERIOD)), 2)
snodgrass.list <- list(HYDROPERIOD=list('Long with vs Long without'=1, 'Permanent vs Temporary'=2))

#Q4-5
snodgrass.aov <- aov(RICHNESS~HYDROPERIOD, data=snodgrass)
summary(snodgrass.aov, split=snodgrass.list)

#Q4-7
library(biology)
Mbargraph(snodgrass$RICHNESS, snodgrass$HYDROPERIOD)

