#Q1
curdies <- read.table("../../Data/curdies.csv", header=T, sep=",")
curdies$SITE <- as.factor(curdies$SITE)

#Q1-3
curdies.ag <- aggregate(curdies,list(SEASON=curdies$SEASON,SITE=curdies$SITE), mean)
library(nlme)
curdies.ag <- gsummary(curdies,groups=curdies$SITE)
boxplot(DUGESIA~SEASON, curdies.ag)
boxplot(sqrt(sqrt(DUGESIA))~SEASON, curdies.ag)
curdies$S4DUGES <- sqrt(sqrt(curdies$DUGESIA))

#Make sure your nested (blocking) factor is properly labelled. 
#That is, each block should have a unique name and that the names 
#should have at least one letter in it to ensure that it is not considered 
#a numeric value.

#Q1-5
curdies.aov <- aov(S4DUGES~SEASON + Error(SITE),data=curdies)
summary(curdies.aov)
#Normally, we are not interested in formally testing the effect of the nested factor
#to get the correct F test for the nested factor (SITE) use the following
anova(lm(curdies.aov))
#Note however that this presents the incorrect F test for SEASON

library(biology)
bar <- Mbargraph(curdies.ag$DUGESIA, curdies.ag$SEASON)

library(nlme)
VarCorr(lme(S4DUGES~SEASON, random=~1|SITE, curdies)) 


#lme
curdies.lme<-lme(S4DUGES~SEASON, random=~1|SITE, curdies)
anova(curdies.lme)
summary(curdies.lme)
