#Q2
starling <- read.table("../../Data/starling.csv", header=T, sep=",")


#Q2-2
boxplot(MASS~SITUATION*MONTH, starling)
means <- tapply(starling$MASS, list(starling$SITUATION,starling$MONTH), mean)
vars <- tapply(starling$MASS, list(starling$SITUATION,starling$MONTH), var)
plot(means,vars)

#Q2-2b
!is.list(replications(MASS~SITUATION*MONTH,data=starling))
library(biology)
is.balanced(MASS~SITUATION*MONTH,data=starling)


#Q2-3
starling.aov <- aov(MASS~SITUATION*MONTH,data=starling)
plot(starling.aov)
anova(starling.aov)

#Q2-4
interaction.plot(starling$SITUATION, starling$MONTH, starling$MASS)


#Q2-5
library(multcomp)
#summary(simtest(MASS~SITUATION*MONTH, whichf="SITUATION", type="Tukey", data=starling))
summary(glht(starling.aov, linfct=mcp(SITUATION="Tukey")))
#Q2-6
library(biology)
Mbargraph(starling$MASS, list(starling$MONTH, starling$SITUATION))
Mbargraph(starling$MASS, starling$SITUATION, sym=c('A', 'AC', 'C', 'D'))

