#Q2
stehman <- read.table("../../Data/stehman.csv", header=T, sep=",")
stehman$PH <- as.factor(stehman$PH)

#Q3-1
boxplot(BRATING~PH*HEALTH, stehman)
means <- tapply(stehman$BRATING, list(stehman$PH,stehman$HEALTH), mean)
vars <- tapply(stehman$BRATING, list(stehman$PH,stehman$HEALTH), var)
plot(means,vars)

#Q3-1b
!is.list(replications(BRATING~PH*HEALTH, stehman))
library(biology)
is.balanced(BRATING~PH*HEALTH, stehman)


#Q3-2
contrasts(stehman$PH)<-contr.helmert
contrasts(stehman$HEALTH)<-contr.helmert
stehman.aov <- aov(BRATING~PH*HEALTH,data=stehman)
plot(stehman.aov)
#since it is not balanced, should use Type II SS
library(biology)
AnovaM(stehman.aov, type="III")
AnovaM(stehman.aov, type="II")

#Q3-3
interaction.plot(stehman$PH, stehman$HEALTH, stehman$BRATING)


#Q3-4
library(multcomp)
summary(simtest(BRATING~PH*HEALTH, whichf="PH", type="Tukey", data=stehman))
summary(glht(stehman.aov, linfct=mcp(PH="Tukey")))

#Q3-5
library(biology)
Mbargraph(stehman$BRATING, list(stehman$HEALTH, stehman$PH))
Mbargraph(stehman$BRATING, stehman$PH, symb=c('A', 'B', 'AB'))
