partridge <- read.table('../../Data/partridge1.csv', header=T, sep=',')

boxplot(LONGEV ~ TREATMENT, data=partridge)
#Q1-2
plot(aov(LONGEV ~ THORAX + TREATMENT, partridge), which=1)
plot(aov(log10(LONGEV)~THORAX*TREATMENT,partridge), which=1)

#Q1-3
library(lattice)
xyplot(log10(LONGEV)~THORAX|TREATMENT,partridge, type=c("r","p"))
library(car)
scatterplot(log10(LONGEV)~THORAX|TREATMENT, partridge)

#Q1-4
anova(aov(log10(LONGEV) ~ THORAX*TREATMENT, partridge))

#Q1-5
anova(aov(THORAX~TREATMENT, partridge))

#Q1-7
contrasts(partridge$TREATMENT)<- cbind(c(0,.5,.5,-.5,-.5), c(0,0,0,1,-1))
round(crossprod(contrasts(partridge$TREATMENT)),1)

#Q1-8 - note it is inherently inbalanced
partridge.aov <- aov(log10(LONGEV)~THORAX+TREATMENT, partridge)
library(biology)
AnovaM(partridge.aov, type="III", split=list(TREATMENT=list("Preg vs Virg"=1, "1 Virg vs 8 Virg"=2)))
