#Q8-1
library(pwr)
oc <- 0.4
em <- 1-oc
aus <- 0.5
bemb <- 1-aus

H0.tab <- matrix(c(oc*aus, oc*bemb, em*aus, em*bemb), 2, 2, byrow=F)
rownames(H0.tab) <- c('Aust', 'Bemb')
colnames(H0.tab) <- c('OC', 'Em')
dev <- 0.2
H1.tab <- H0.tab
H1.tab[1,1] <- H0.tab[1,1]+H0.tab[1,1]*dev
H1.tab[2,1] <- H0.tab[2,1]-H0.tab[2,1]*dev
H1.tab

(w<-sqrt(chisq.test(as.vector(H1.tab),p=as.vector(H0.tab))$stat[[1]]))
w
df<- (2-1)*(2-1)
pwr.chisq.test(df=df, w=w, power=0.8)

es <- 0.25
H1.tab <- p.tab
H1.tab[1,1] <- H1.tab[1,1]+H1.tab[1,1]*es
H1.tab[2,1] <- H1.tab[2,1]-H1.tab[2,1]*es
(w<-sqrt(chisq.test(as.vector(H1.tab),p=as.vector(p.tab))$stat[[1]]))
x=seq(10,1000,l=100)
plot(x,pwr.chisq.test(df=df,N=x,w=w)$power, ylim=c(0,1), ylab="power", xlab="n", type="l")
abline(0.8,0,lty=2)
#worst case
es <- 0.15
H1.tab <- p.tab
H1.tab[1,1] <- H1.tab[1,1]+H1.tab[1,1]*es
H1.tab[2,1] <- H1.tab[2,1]-H1.tab[2,1]*es
(w<-sqrt(chisq.test(as.vector(H1.tab),p=as.vector(p.tab))$stat[[1]]))
points(x,pwr.chisq.test(df=df,N=x,w=w)$power, type="l")
#best case
es <- 0.5
H1.tab <- p.tab
H1.tab[1,1] <- H1.tab[1,1]+H1.tab[1,1]*es
H1.tab[2,1] <- H1.tab[2,1]-H1.tab[2,1]*es
(w<-sqrt(chisq.test(as.vector(H1.tab),p=as.vector(p.tab))$stat[[1]]))
points(x,pwr.chisq.test(df=df,N=x,w=w)$power,type="l")




w=sqrt(chisq.test(c(.3,.7),p=c(.5,.5))$stat[[1]])

#Q8-2
library(pwr)
pwr.chisq.test(df=(2-1), w=0.4, power=0.8)

x=seq(3,100,l=100)
plot(x,pwr.chisq.test(df=1,N=x,w=w)$power, ylim=c(0,1), ylab="power", xlab="n", type="l")
abline(0.8,0,lty=2)
#worst case
w=sqrt(chisq.test(c(.35,.65),p=c(.5,.5))$stat[[1]])
points(x,pwr.chisq.test(df=1,N=x,w=w)$power, ylim=c(0,1), ylab="power", xlab="n", type="l")
#best case
w=sqrt(chisq.test(c(.25,.75),p=c(.5,.5))$stat[[1]])
points(x,pwr.chisq.test(df=1,N=x,w=w)$power, ylim=c(0,1), ylab="power", xlab="n", type="l")

